      subroutine hddmjac3(njac,nrxn,H2O,M,O2,CH4,H2,flg,jac,y,rk)
c
c----CAMx v4.53 090209
c
c     HDDMJAC3 computes a full Jacobian for HDDM
c
c     Copyright 1996-2009
c     ENVIRON International Corporation
c     Created by the CMC version 5
c
c     Routines Called:
c        none
c
c     Called by:
c        HDDMCHEM
c
      implicit none
      include "camx.prm"
      include "ddmchm.com"
c
      integer njac, nrxn, i, j
      real H2O, M, O2, CH4, H2, N2, flg
      real jac(njac+1,njac+1), y(njac+1), rk(nrxn)
c
c --- Entry point
c
      N2  = M - O2
c

          JAC(lNO2 ,lNO2 )= +( 1.000)*rk(  1)*flg
     &                      +( 1.000)*rk(  4)    *y(lO)
     &                      +( 1.000)*rk(  5)    *y(lO)
     &                      +( 1.000)*rk(  7)    *y(lO3)
     &                      +( 1.000)*rk( 16)    *y(lNO3)
     &                      +(-1.000)*rk( 16)    *y(lNO3)
     &                      +( 1.000)*rk( 17)    *y(lNO3)
     &                      +( 1.000)*rk( 21)    *y(lNO)*H2O
     &                      +( 1.000)*rk( 26)    *y(lOH)
          JAC(lNO2 ,lNO2 )=JAC(lNO2 ,lNO2 )
     &                      +( 1.000)*rk( 29)    *y(lHO2)
     &                      +( 1.000)*rk( 47)    *y(lC2O3)
     &                      +( 1.000)*rk( 55)    *y(lROR)
     &                      +( 1.000)*rk( 68)    *y(lCRO)
     &                      +( 1.000)*rk( 96)    *y(lISOP)
          JAC(lNO2 ,lNO  )= +(-1.000)*rk(  3)    *y(lO3)
     &                      +(-1.000)*rk(  6)    *y(lO)
     &                      +(-2.000)*rk( 15)    *y(lNO3)
     &                      +(-4.000)*rk( 20)    *y(lNO)
     &                      +( 1.000)*rk( 21)    *y(lNO2)*H2O
     &                      +(-1.000)*rk( 28)    *y(lHO2)
     &                      +(-1.000)*rk( 46)    *y(lC2O3)
     &                      +(-0.900)*rk( 64)    *y(lTO2)
     &                      +(-1.000)*rk( 79)    *y(lXO2)
          JAC(lNO2 ,lO   )= +( 1.000)*rk(  4)    *y(lNO2)
     &                      +( 1.000)*rk(  5)    *y(lNO2)
     &                      +(-1.000)*rk(  6)    *y(lNO)
          JAC(lNO2 ,lO3  )= +(-1.000)*rk(  3)    *y(lNO)
     &                      +( 1.000)*rk(  7)    *y(lNO2)
          JAC(lNO2 ,lNO3 )= +(-0.890)*rk( 14)*flg
     &                      +(-2.000)*rk( 15)    *y(lNO)
     &                      +( 1.000)*rk( 16)    *y(lNO2)
     &                      +(-1.000)*rk( 16)    *y(lNO2)
     &                      +( 1.000)*rk( 17)    *y(lNO2)
     &                      +(-1.000)*rk( 59)    *y(lOLE)
     &                      +(-0.200)*rk( 78)    *y(lISOP)
          JAC(lNO2 ,lOH  )= +(-1.000)*rk( 24)    *y(lHONO)
     &                      +( 1.000)*rk( 26)    *y(lNO2)
     &                      +(-1.000)*rk( 31)    *y(lPNA)
          JAC(lNO2 ,lHO2 )= +(-1.000)*rk( 28)    *y(lNO)
     &                      +( 1.000)*rk( 29)    *y(lNO2)
          JAC(lNO2 ,lN2O5)= +(-1.000)*rk( 19)*flg
          JAC(lNO2 ,lHONO)= +(-1.000)*rk( 24)    *y(lOH)
     &                      +(-2.000)*rk( 25)    *y(lHONO)
          JAC(lNO2 ,lPNA )= +(-1.000)*rk( 30)*flg
     &                      +(-1.000)*rk( 31)    *y(lOH)
          JAC(lNO2 ,lC2O3)= +(-1.000)*rk( 46)    *y(lNO)
     &                      +( 1.000)*rk( 47)    *y(lNO2)
          JAC(lNO2 ,lXO2 )= +(-1.000)*rk( 79)    *y(lNO)
          JAC(lNO2 ,lPAN )= +(-1.000)*rk( 48)*flg
          JAC(lNO2 ,lROR )= +( 1.000)*rk( 55)    *y(lNO2)
          JAC(lNO2 ,lOLE )= +(-1.000)*rk( 59)    *y(lNO3)
          JAC(lNO2 ,lTO2 )= +(-0.900)*rk( 64)    *y(lNO)
          JAC(lNO2 ,lCRO )= +( 1.000)*rk( 68)    *y(lNO2)
          JAC(lNO2 ,lISOP)= +(-0.200)*rk( 78)    *y(lNO3)
     &                      +( 1.000)*rk( 96)    *y(lNO2)
          JAC(lNO  ,lNO2 )= +(-1.000)*rk(  1)*flg
     &                      +(-1.000)*rk(  4)    *y(lO)
     &                      +(-1.000)*rk( 16)    *y(lNO3)
     &                      +( 1.000)*rk( 21)    *y(lNO)*H2O
     &                      +(-0.200)*rk( 96)    *y(lISOP)
          JAC(lNO  ,lNO  )= +( 1.000)*rk(  3)    *y(lO3)
     &                      +( 1.000)*rk(  6)    *y(lO)
     &                      +( 1.000)*rk( 15)    *y(lNO3)
     &                      +( 4.000)*rk( 20)    *y(lNO)
     &                      +( 1.000)*rk( 21)    *y(lNO2)*H2O
     &                      +( 1.000)*rk( 22)    *y(lOH)
     &                      +( 1.000)*rk( 28)    *y(lHO2)
     &                      +( 1.000)*rk( 46)    *y(lC2O3)
     &                      +( 1.000)*rk( 64)    *y(lTO2)
          JAC(lNO  ,lNO  )=JAC(lNO  ,lNO  )
     &                      +( 1.000)*rk( 79)    *y(lXO2)
     &                      +( 1.000)*rk( 81)    *y(lXO2N)
          JAC(lNO  ,lO   )= +(-1.000)*rk(  4)    *y(lNO2)
     &                      +( 1.000)*rk(  6)    *y(lNO)
          JAC(lNO  ,lO3  )= +( 1.000)*rk(  3)    *y(lNO)
          JAC(lNO  ,lNO3 )= +(-0.110)*rk( 14)*flg
     &                      +( 1.000)*rk( 15)    *y(lNO)
     &                      +(-1.000)*rk( 16)    *y(lNO2)
          JAC(lNO  ,lOH  )= +( 1.000)*rk( 22)    *y(lNO)
          JAC(lNO  ,lHO2 )= +( 1.000)*rk( 28)    *y(lNO)
          JAC(lNO  ,lHONO)= +(-1.000)*rk( 23)*flg
     &                      +(-2.000)*rk( 25)    *y(lHONO)
          JAC(lNO  ,lC2O3)= +( 1.000)*rk( 46)    *y(lNO)
          JAC(lNO  ,lXO2 )= +( 1.000)*rk( 79)    *y(lNO)
          JAC(lNO  ,lXO2N)= +( 1.000)*rk( 81)    *y(lNO)
          JAC(lNO  ,lTO2 )= +( 1.000)*rk( 64)    *y(lNO)
          JAC(lNO  ,lISOP)= +(-0.200)*rk( 96)    *y(lNO2)
          JAC(lO   ,lNO2 )= +(-1.000)*rk(  1)*flg
     &                      +( 1.000)*rk(  4)    *y(lO)
     &                      +( 1.000)*rk(  5)    *y(lO)
          JAC(lO   ,lNO  )= +( 1.000)*rk(  6)    *y(lO)
          JAC(lO   ,lO   )= +( 1.000)*rk(  2)*flg
     &                      +( 1.000)*rk(  4)    *y(lNO2)
     &                      +( 1.000)*rk(  5)    *y(lNO2)
     &                      +( 1.000)*rk(  6)    *y(lNO)
     &                      +( 1.000)*rk( 40)    *y(lFORM)
     &                      +( 1.000)*rk( 42)    *y(lALD2)
     &                      +( 1.000)*rk( 56)    *y(lOLE)
     &                      +( 1.000)*rk( 60)    *y(lETH)
     &                      +( 1.000)*rk( 75)    *y(lISOP)
          JAC(lO   ,lO3  )= +(-1.000)*rk(  8)*flg
          JAC(lO   ,lNO3 )= +(-0.890)*rk( 14)*flg
          JAC(lO   ,lO1D )= +(-1.000)*rk( 10)*flg
          JAC(lO   ,lFORM)= +( 1.000)*rk( 40)    *y(lO)
          JAC(lO   ,lALD2)= +( 1.000)*rk( 42)    *y(lO)
          JAC(lO   ,lOLE )= +( 1.000)*rk( 56)    *y(lO)
          JAC(lO   ,lETH )= +( 1.000)*rk( 60)    *y(lO)
          JAC(lO   ,lISOP)= +( 1.000)*rk( 75)    *y(lO)
          JAC(lO3  ,lNO2 )= +( 1.000)*rk(  7)    *y(lO3)
          JAC(lO3  ,lNO  )= +( 1.000)*rk(  3)    *y(lO3)
          JAC(lO3  ,lO   )= +(-1.000)*rk(  2)*flg
          JAC(lO3  ,lO3  )= +( 1.000)*rk(  3)    *y(lNO)
     &                      +( 1.000)*rk(  7)    *y(lNO2)
     &                      +( 1.000)*rk(  8)*flg
     &                      +( 1.000)*rk(  9)*flg
     &                      +( 1.000)*rk( 12)    *y(lOH)
     &                      +( 1.000)*rk( 13)    *y(lHO2)
     &                      +( 1.000)*rk( 58)    *y(lOLE)
     &                      +( 1.000)*rk( 62)    *y(lETH)
     &                      +( 1.000)*rk( 71)    *y(lOPEN)
          JAC(lO3  ,lO3  )=JAC(lO3  ,lO3  )
     &                      +( 1.000)*rk( 77)    *y(lISOP)
     &                      +( 1.000)*rk( 93)    *y(lISPD)
          JAC(lO3  ,lOH  )= +( 1.000)*rk( 12)    *y(lO3)
          JAC(lO3  ,lHO2 )= +( 1.000)*rk( 13)    *y(lO3)
          JAC(lO3  ,lOLE )= +( 1.000)*rk( 58)    *y(lO3)
          JAC(lO3  ,lETH )= +( 1.000)*rk( 62)    *y(lO3)
          JAC(lO3  ,lOPEN)= +( 1.000)*rk( 71)    *y(lO3)
          JAC(lO3  ,lISOP)= +( 1.000)*rk( 77)    *y(lO3)
          JAC(lO3  ,lISPD)= +( 1.000)*rk( 93)    *y(lO3)
          JAC(lNO3 ,lNO2 )= +(-1.000)*rk(  5)    *y(lO)
     &                      +(-1.000)*rk(  7)    *y(lO3)
     &                      +( 1.000)*rk( 16)    *y(lNO3)
     &                      +( 1.000)*rk( 17)    *y(lNO3)
          JAC(lNO3 ,lNO  )= +( 1.000)*rk( 15)    *y(lNO3)
          JAC(lNO3 ,lO   )= +(-1.000)*rk(  5)    *y(lNO2)
          JAC(lNO3 ,lO3  )= +(-1.000)*rk(  7)    *y(lNO2)
          JAC(lNO3 ,lNO3 )= +( 1.000)*rk( 14)*flg
     &                      +( 1.000)*rk( 15)    *y(lNO)
     &                      +( 1.000)*rk( 16)    *y(lNO2)
     &                      +( 1.000)*rk( 17)    *y(lNO2)
     &                      +( 1.000)*rk( 41)    *y(lFORM)
     &                      +( 1.000)*rk( 44)    *y(lALD2)
     &                      +( 1.000)*rk( 59)    *y(lOLE)
     &                      +( 1.000)*rk( 67)    *y(lCRES)
     &                      +( 1.000)*rk( 78)    *y(lISOP)
          JAC(lNO3 ,lNO3 )=JAC(lNO3 ,lNO3 )
     &                      +( 1.000)*rk( 94)    *y(lISPD)
          JAC(lNO3 ,lOH  )= +(-1.000)*rk( 27)    *y(lHNO3)
          JAC(lNO3 ,lN2O5)= +(-1.000)*rk( 19)*flg
          JAC(lNO3 ,lHNO3)= +(-1.000)*rk( 27)    *y(lOH)
          JAC(lNO3 ,lFORM)= +( 1.000)*rk( 41)    *y(lNO3)
          JAC(lNO3 ,lALD2)= +( 1.000)*rk( 44)    *y(lNO3)
          JAC(lNO3 ,lOLE )= +( 1.000)*rk( 59)    *y(lNO3)
          JAC(lNO3 ,lCRES)= +( 1.000)*rk( 67)    *y(lNO3)
          JAC(lNO3 ,lISOP)= +( 1.000)*rk( 78)    *y(lNO3)
          JAC(lNO3 ,lISPD)= +( 1.000)*rk( 94)    *y(lNO3)
          JAC(lO1D ,lO3  )= +(-1.000)*rk(  9)*flg
          JAC(lO1D ,lO1D )= +( 1.000)*rk( 10)*flg
     &                      +( 1.000)*rk( 11)*flg*H2O
          JAC(lOH  ,lNO2 )= +( 1.000)*rk( 26)    *y(lOH)
          JAC(lOH  ,lNO  )= +( 1.000)*rk( 22)    *y(lOH)
     &                      +(-1.000)*rk( 28)    *y(lHO2)
          JAC(lOH  ,lO   )= +(-1.000)*rk( 40)    *y(lFORM)
     &                      +(-1.000)*rk( 42)    *y(lALD2)
     &                      +(-0.200)*rk( 56)    *y(lOLE)
     &                      +(-0.300)*rk( 60)    *y(lETH)
          JAC(lOH  ,lO3  )= +( 1.000)*rk( 12)    *y(lOH)
     &                      +(-1.000)*rk( 13)    *y(lHO2)
     &                      +(-0.100)*rk( 58)    *y(lOLE)
     &                      +(-0.080)*rk( 71)    *y(lOPEN)
     &                      +(-0.266)*rk( 77)    *y(lISOP)
     &                      +(-0.268)*rk( 93)    *y(lISPD)
          JAC(lOH  ,lO1D )= +(-2.000)*rk( 11)*flg*H2O
          JAC(lOH  ,lOH  )= +( 1.000)*rk( 12)    *y(lO3)
     &                      +( 1.000)*rk( 22)    *y(lNO)
     &                      +( 1.000)*rk( 24)    *y(lHONO)
     &                      +( 1.000)*rk( 26)    *y(lNO2)
     &                      +( 1.000)*rk( 27)    *y(lHNO3)
     &                      +( 1.000)*rk( 31)    *y(lPNA)
     &                      +( 1.000)*rk( 35)    *y(lH2O2)
     &                      +( 1.000)*rk( 36)    *y(lCO)
     &                      +( 1.000)*rk( 37)    *y(lFORM)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk( 43)    *y(lALD2)
     &                      +( 1.000)*rk( 51)*flg
     &                      +( 1.000)*rk( 52)    *y(lPAR)
     &                      +( 1.000)*rk( 57)    *y(lOLE)
     &                      +( 1.000)*rk( 61)    *y(lETH)
     &                      +( 1.000)*rk( 63)    *y(lTOL)
     &                      +( 1.000)*rk( 66)    *y(lCRES)
     &                      +( 1.000)*rk( 70)    *y(lOPEN)
          JAC(lOH  ,lOH  )=JAC(lOH  ,lOH  )
     &                      +( 1.000)*rk( 72)    *y(lXYL)
     &                      +( 1.000)*rk( 73)    *y(lMGLY)
     &                      +( 1.000)*rk( 76)    *y(lISOP)
     &                      +( 1.000)*rk( 82)    *y(lSO2)
     &                      +( 1.000)*rk( 84)    *y(lMEOH)
     &                      +( 1.000)*rk( 85)    *y(lETOH)
     &                      +( 1.000)*rk( 90)    *y(lHO2)
     &                      +( 1.000)*rk( 92)    *y(lISPD)
          JAC(lOH  ,lHO2 )= +(-1.000)*rk( 13)    *y(lO3)
     &                      +(-1.000)*rk( 28)    *y(lNO)
     &                      +(-0.790)*rk( 50)    *y(lC2O3)
     &                      +( 1.000)*rk( 90)    *y(lOH)
          JAC(lOH  ,lHNO3)= +( 1.000)*rk( 27)    *y(lOH)
          JAC(lOH  ,lHONO)= +(-1.000)*rk( 23)*flg
     &                      +( 1.000)*rk( 24)    *y(lOH)
          JAC(lOH  ,lPNA )= +( 1.000)*rk( 31)    *y(lOH)
          JAC(lOH  ,lH2O2)= +(-2.000)*rk( 34)*flg
     &                      +( 1.000)*rk( 35)    *y(lOH)
          JAC(lOH  ,lCO  )= +( 1.000)*rk( 36)    *y(lOH)
          JAC(lOH  ,lFORM)= +( 1.000)*rk( 37)    *y(lOH)
     &                      +(-1.000)*rk( 40)    *y(lO)
          JAC(lOH  ,lALD2)= +(-1.000)*rk( 42)    *y(lO)
     &                      +( 1.000)*rk( 43)    *y(lOH)
          JAC(lOH  ,lC2O3)= +(-0.790)*rk( 50)    *y(lHO2)
          JAC(lOH  ,lPAR )= +( 1.000)*rk( 52)    *y(lOH)
          JAC(lOH  ,lOLE )= +(-0.200)*rk( 56)    *y(lO)
     &                      +( 1.000)*rk( 57)    *y(lOH)
     &                      +(-0.100)*rk( 58)    *y(lO3)
          JAC(lOH  ,lETH )= +(-0.300)*rk( 60)    *y(lO)
     &                      +( 1.000)*rk( 61)    *y(lOH)
          JAC(lOH  ,lTOL )= +( 1.000)*rk( 63)    *y(lOH)
          JAC(lOH  ,lCRES)= +( 1.000)*rk( 66)    *y(lOH)
          JAC(lOH  ,lOPEN)= +( 1.000)*rk( 70)    *y(lOH)
     &                      +(-0.080)*rk( 71)    *y(lO3)
          JAC(lOH  ,lMGLY)= +( 1.000)*rk( 73)    *y(lOH)
          JAC(lOH  ,lXYL )= +( 1.000)*rk( 72)    *y(lOH)
          JAC(lOH  ,lISOP)= +( 1.000)*rk( 76)    *y(lOH)
     &                      +(-0.266)*rk( 77)    *y(lO3)
          JAC(lOH  ,lISPD)= +( 1.000)*rk( 92)    *y(lOH)
     &                      +(-0.268)*rk( 93)    *y(lO3)
          JAC(lOH  ,lSO2 )= +( 1.000)*rk( 82)    *y(lOH)
          JAC(lOH  ,lMEOH)= +( 1.000)*rk( 84)    *y(lOH)
          JAC(lOH  ,lETOH)= +( 1.000)*rk( 85)    *y(lOH)
          JAC(lHO2 ,lNO2 )= +( 1.000)*rk( 29)    *y(lHO2)
     &                      +(-0.800)*rk( 96)    *y(lISOP)
          JAC(lHO2 ,lNO  )= +( 1.000)*rk( 28)    *y(lHO2)
     &                      +(-1.000)*rk( 46)    *y(lC2O3)
     &                      +(-0.900)*rk( 64)    *y(lTO2)
          JAC(lHO2 ,lO   )= +(-1.000)*rk( 40)    *y(lFORM)
     &                      +(-0.380)*rk( 56)    *y(lOLE)
     &                      +(-1.700)*rk( 60)    *y(lETH)
     &                      +(-0.250)*rk( 75)    *y(lISOP)
          JAC(lHO2 ,lO3  )= +(-1.000)*rk( 12)    *y(lOH)
     &                      +( 1.000)*rk( 13)    *y(lHO2)
     &                      +(-0.440)*rk( 58)    *y(lOLE)
     &                      +(-0.120)*rk( 62)    *y(lETH)
     &                      +(-0.760)*rk( 71)    *y(lOPEN)
     &                      +(-0.066)*rk( 77)    *y(lISOP)
     &                      +(-0.154)*rk( 93)    *y(lISPD)
          JAC(lHO2 ,lNO3 )= +(-1.000)*rk( 41)    *y(lFORM)
     &                      +(-0.800)*rk( 78)    *y(lISOP)
     &                      +(-0.925)*rk( 94)    *y(lISPD)
          JAC(lHO2 ,lOH  )= +(-1.000)*rk( 12)    *y(lO3)
     &                      +(-1.000)*rk( 35)    *y(lH2O2)
     &                      +(-1.000)*rk( 36)    *y(lCO)
     &                      +(-1.000)*rk( 37)    *y(lFORM)
     &                      +(-1.000)*rk( 51)*flg
     &                      +(-0.110)*rk( 52)    *y(lPAR)
     &                      +(-1.000)*rk( 57)    *y(lOLE)
     &                      +(-1.000)*rk( 61)    *y(lETH)
     &                      +(-0.440)*rk( 63)    *y(lTOL)
          JAC(lHO2 ,lOH  )=JAC(lHO2 ,lOH  )
     &                      +(-0.600)*rk( 66)    *y(lCRES)
     &                      +(-2.000)*rk( 70)    *y(lOPEN)
     &                      +(-0.700)*rk( 72)    *y(lXYL)
     &                      +(-0.912)*rk( 76)    *y(lISOP)
     &                      +(-1.000)*rk( 82)    *y(lSO2)
     &                      +(-1.000)*rk( 84)    *y(lMEOH)
     &                      +(-1.000)*rk( 85)    *y(lETOH)
     &                      +( 1.000)*rk( 90)    *y(lHO2)
          JAC(lHO2 ,lOH  )=JAC(lHO2 ,lOH  )
     &                      +(-0.503)*rk( 92)    *y(lISPD)
          JAC(lHO2 ,lHO2 )= +( 1.000)*rk( 13)    *y(lO3)
     &                      +( 1.000)*rk( 28)    *y(lNO)
     &                      +( 1.000)*rk( 29)    *y(lNO2)
     &                      +( 4.000)*rk( 32)    *y(lHO2)
     &                      +( 4.000)*rk( 33)    *y(lHO2)*H2O
     &                      +( 1.000)*rk( 50)    *y(lC2O3)
     &                      +(-0.790)*rk( 50)    *y(lC2O3)
     &                      +( 1.000)*rk( 86)    *y(lXO2)
     &                      +( 1.000)*rk( 87)    *y(lXO2N)
          JAC(lHO2 ,lHO2 )=JAC(lHO2 ,lHO2 )
     &                      +( 1.000)*rk( 90)    *y(lOH)
          JAC(lHO2 ,lPNA )= +(-1.000)*rk( 30)*flg
          JAC(lHO2 ,lH2O2)= +(-1.000)*rk( 35)    *y(lOH)
          JAC(lHO2 ,lCO  )= +(-1.000)*rk( 36)    *y(lOH)
          JAC(lHO2 ,lFORM)= +(-1.000)*rk( 37)    *y(lOH)
     &                      +(-2.000)*rk( 38)*flg
     &                      +(-1.000)*rk( 40)    *y(lO)
     &                      +(-1.000)*rk( 41)    *y(lNO3)
          JAC(lHO2 ,lALD2)= +(-2.000)*rk( 45)*flg
          JAC(lHO2 ,lC2O3)= +(-1.000)*rk( 46)    *y(lNO)
     &                      +(-4.000)*rk( 49)    *y(lC2O3)
     &                      +( 1.000)*rk( 50)    *y(lHO2)
     &                      +(-0.790)*rk( 50)    *y(lHO2)
          JAC(lHO2 ,lXO2 )= +( 1.000)*rk( 86)    *y(lHO2)
          JAC(lHO2 ,lPAR )= +(-0.110)*rk( 52)    *y(lOH)
          JAC(lHO2 ,lXO2N)= +( 1.000)*rk( 87)    *y(lHO2)
          JAC(lHO2 ,lROR )= +(-0.940)*rk( 53)*flg
     &                      +(-1.000)*rk( 54)*flg
          JAC(lHO2 ,lOLE )= +(-0.380)*rk( 56)    *y(lO)
     &                      +(-1.000)*rk( 57)    *y(lOH)
     &                      +(-0.440)*rk( 58)    *y(lO3)
          JAC(lHO2 ,lETH )= +(-1.700)*rk( 60)    *y(lO)
     &                      +(-1.000)*rk( 61)    *y(lOH)
     &                      +(-0.120)*rk( 62)    *y(lO3)
          JAC(lHO2 ,lTOL )= +(-0.440)*rk( 63)    *y(lOH)
          JAC(lHO2 ,lCRES)= +(-0.600)*rk( 66)    *y(lOH)
          JAC(lHO2 ,lTO2 )= +(-0.900)*rk( 64)    *y(lNO)
     &                      +(-1.000)*rk( 65)*flg
          JAC(lHO2 ,lOPEN)= +(-1.000)*rk( 69)*flg
     &                      +(-2.000)*rk( 70)    *y(lOH)
     &                      +(-0.760)*rk( 71)    *y(lO3)
          JAC(lHO2 ,lMGLY)= +(-1.000)*rk( 74)*flg
          JAC(lHO2 ,lXYL )= +(-0.700)*rk( 72)    *y(lOH)
          JAC(lHO2 ,lISOP)= +(-0.250)*rk( 75)    *y(lO)
     &                      +(-0.912)*rk( 76)    *y(lOH)
     &                      +(-0.066)*rk( 77)    *y(lO3)
     &                      +(-0.800)*rk( 78)    *y(lNO3)
     &                      +(-0.800)*rk( 96)    *y(lNO2)
          JAC(lHO2 ,lISPD)= +(-0.503)*rk( 92)    *y(lOH)
     &                      +(-0.154)*rk( 93)    *y(lO3)
     &                      +(-0.925)*rk( 94)    *y(lNO3)
     &                      +(-1.033)*rk( 95)*flg
          JAC(lHO2 ,lSO2 )= +(-1.000)*rk( 82)    *y(lOH)
          JAC(lHO2 ,lMEOH)= +(-1.000)*rk( 84)    *y(lOH)
          JAC(lHO2 ,lETOH)= +(-1.000)*rk( 85)    *y(lOH)
          JAC(lN2O5,lNO2 )= +(-1.000)*rk( 17)    *y(lNO3)
          JAC(lN2O5,lNO3 )= +(-1.000)*rk( 17)    *y(lNO2)
          JAC(lN2O5,lN2O5)= +( 1.000)*rk( 18)*flg*H2O
     &                      +( 1.000)*rk( 19)*flg
          JAC(lHNO3,lNO2 )= +(-1.000)*rk( 26)    *y(lOH)
          JAC(lHNO3,lNO3 )= +(-1.000)*rk( 41)    *y(lFORM)
     &                      +(-1.000)*rk( 44)    *y(lALD2)
     &                      +(-1.000)*rk( 67)    *y(lCRES)
     &                      +(-0.150)*rk( 94)    *y(lISPD)
          JAC(lHNO3,lOH  )= +(-1.000)*rk( 26)    *y(lNO2)
     &                      +( 1.000)*rk( 27)    *y(lHNO3)
          JAC(lHNO3,lN2O5)= +(-2.000)*rk( 18)*flg*H2O
          JAC(lHNO3,lHNO3)= +( 1.000)*rk( 27)    *y(lOH)
          JAC(lHNO3,lFORM)= +(-1.000)*rk( 41)    *y(lNO3)
          JAC(lHNO3,lALD2)= +(-1.000)*rk( 44)    *y(lNO3)
          JAC(lHNO3,lCRES)= +(-1.000)*rk( 67)    *y(lNO3)
          JAC(lHNO3,lISPD)= +(-0.150)*rk( 94)    *y(lNO3)
          JAC(lHONO,lNO2 )= +(-2.000)*rk( 21)    *y(lNO)*H2O
          JAC(lHONO,lNO  )= +(-2.000)*rk( 21)    *y(lNO2)*H2O
     &                      +(-1.000)*rk( 22)    *y(lOH)
          JAC(lHONO,lOH  )= +(-1.000)*rk( 22)    *y(lNO)
     &                      +( 1.000)*rk( 24)    *y(lHONO)
          JAC(lHONO,lHONO)= +( 1.000)*rk( 23)*flg
     &                      +( 1.000)*rk( 24)    *y(lOH)
     &                      +( 4.000)*rk( 25)    *y(lHONO)
          JAC(lPNA ,lNO2 )= +(-1.000)*rk( 29)    *y(lHO2)
          JAC(lPNA ,lOH  )= +( 1.000)*rk( 31)    *y(lPNA)
          JAC(lPNA ,lHO2 )= +(-1.000)*rk( 29)    *y(lNO2)
          JAC(lPNA ,lPNA )= +( 1.000)*rk( 30)*flg
     &                      +( 1.000)*rk( 31)    *y(lOH)
          JAC(lH2O2,lOH  )= +( 1.000)*rk( 35)    *y(lH2O2)
          JAC(lH2O2,lHO2 )= +(-2.000)*rk( 32)    *y(lHO2)
     &                      +(-2.000)*rk( 33)    *y(lHO2)*H2O
          JAC(lH2O2,lH2O2)= +( 1.000)*rk( 34)*flg
     &                      +( 1.000)*rk( 35)    *y(lOH)
          JAC(lCO  ,lO   )= +(-1.000)*rk( 40)    *y(lFORM)
     &                      +(-0.300)*rk( 56)    *y(lOLE)
     &                      +(-1.000)*rk( 60)    *y(lETH)
          JAC(lCO  ,lO3  )= +(-0.330)*rk( 58)    *y(lOLE)
     &                      +(-0.420)*rk( 62)    *y(lETH)
     &                      +(-0.690)*rk( 71)    *y(lOPEN)
     &                      +(-0.066)*rk( 77)    *y(lISOP)
     &                      +(-0.225)*rk( 93)    *y(lISPD)
          JAC(lCO  ,lNO3 )= +(-1.000)*rk( 41)    *y(lFORM)
     &                      +(-0.643)*rk( 94)    *y(lISPD)
          JAC(lCO  ,lOH  )= +( 1.000)*rk( 36)    *y(lCO)
     &                      +(-1.000)*rk( 37)    *y(lFORM)
     &                      +(-2.000)*rk( 70)    *y(lOPEN)
     &                      +(-0.334)*rk( 92)    *y(lISPD)
          JAC(lCO  ,lCO  )= +( 1.000)*rk( 36)    *y(lOH)
          JAC(lCO  ,lFORM)= +(-1.000)*rk( 37)    *y(lOH)
     &                      +(-1.000)*rk( 38)*flg
     &                      +(-1.000)*rk( 39)*flg
     &                      +(-1.000)*rk( 40)    *y(lO)
     &                      +(-1.000)*rk( 41)    *y(lNO3)
          JAC(lCO  ,lALD2)= +(-1.000)*rk( 45)*flg
          JAC(lCO  ,lOLE )= +(-0.300)*rk( 56)    *y(lO)
     &                      +(-0.330)*rk( 58)    *y(lO3)
          JAC(lCO  ,lETH )= +(-1.000)*rk( 60)    *y(lO)
     &                      +(-0.420)*rk( 62)    *y(lO3)
          JAC(lCO  ,lOPEN)= +(-1.000)*rk( 69)*flg
     &                      +(-2.000)*rk( 70)    *y(lOH)
     &                      +(-0.690)*rk( 71)    *y(lO3)
          JAC(lCO  ,lMGLY)= +(-1.000)*rk( 74)*flg
          JAC(lCO  ,lISOP)= +(-0.066)*rk( 77)    *y(lO3)
          JAC(lCO  ,lISPD)= +(-0.334)*rk( 92)    *y(lOH)
     &                      +(-0.225)*rk( 93)    *y(lO3)
     &                      +(-0.643)*rk( 94)    *y(lNO3)
     &                      +(-0.333)*rk( 95)*flg
          JAC(lFORM,lNO  )= +(-1.000)*rk( 46)    *y(lC2O3)
          JAC(lFORM,lO   )= +( 1.000)*rk( 40)    *y(lFORM)
     &                      +(-0.200)*rk( 56)    *y(lOLE)
     &                      +(-1.000)*rk( 60)    *y(lETH)
     &                      +(-0.500)*rk( 75)    *y(lISOP)
          JAC(lFORM,lO3  )= +(-0.740)*rk( 58)    *y(lOLE)
     &                      +(-1.000)*rk( 62)    *y(lETH)
     &                      +(-0.700)*rk( 71)    *y(lOPEN)
     &                      +(-0.600)*rk( 77)    *y(lISOP)
     &                      +(-0.150)*rk( 93)    *y(lISPD)
          JAC(lFORM,lNO3 )= +( 1.000)*rk( 41)    *y(lFORM)
     &                      +(-1.000)*rk( 59)    *y(lOLE)
     &                      +(-0.282)*rk( 94)    *y(lISPD)
          JAC(lFORM,lOH  )= +( 1.000)*rk( 37)    *y(lFORM)
     &                      +(-1.000)*rk( 51)*flg
     &                      +(-1.000)*rk( 57)    *y(lOLE)
     &                      +(-1.560)*rk( 61)    *y(lETH)
     &                      +(-1.000)*rk( 70)    *y(lOPEN)
     &                      +(-0.629)*rk( 76)    *y(lISOP)
     &                      +(-1.000)*rk( 84)    *y(lMEOH)
     &                      +(-0.167)*rk( 92)    *y(lISPD)
          JAC(lFORM,lHO2 )= +(-0.790)*rk( 50)    *y(lC2O3)
          JAC(lFORM,lFORM)= +( 1.000)*rk( 37)    *y(lOH)
     &                      +( 1.000)*rk( 38)*flg
     &                      +( 1.000)*rk( 39)*flg
     &                      +( 1.000)*rk( 40)    *y(lO)
     &                      +( 1.000)*rk( 41)    *y(lNO3)
          JAC(lFORM,lALD2)= +(-1.000)*rk( 45)*flg
          JAC(lFORM,lC2O3)= +(-1.000)*rk( 46)    *y(lNO)
     &                      +(-4.000)*rk( 49)    *y(lC2O3)
     &                      +(-0.790)*rk( 50)    *y(lHO2)
          JAC(lFORM,lOLE )= +(-0.200)*rk( 56)    *y(lO)
     &                      +(-1.000)*rk( 57)    *y(lOH)
     &                      +(-0.740)*rk( 58)    *y(lO3)
     &                      +(-1.000)*rk( 59)    *y(lNO3)
          JAC(lFORM,lETH )= +(-1.000)*rk( 60)    *y(lO)
     &                      +(-1.560)*rk( 61)    *y(lOH)
     &                      +(-1.000)*rk( 62)    *y(lO3)
          JAC(lFORM,lOPEN)= +(-1.000)*rk( 70)    *y(lOH)
     &                      +(-0.700)*rk( 71)    *y(lO3)
          JAC(lFORM,lISOP)= +(-0.500)*rk( 75)    *y(lO)
     &                      +(-0.629)*rk( 76)    *y(lOH)
     &                      +(-0.600)*rk( 77)    *y(lO3)
          JAC(lFORM,lISPD)= +(-0.167)*rk( 92)    *y(lOH)
     &                      +(-0.150)*rk( 93)    *y(lO3)
     &                      +(-0.282)*rk( 94)    *y(lNO3)
     &                      +(-0.900)*rk( 95)*flg
          JAC(lFORM,lMEOH)= +(-1.000)*rk( 84)    *y(lOH)
          JAC(lALD2,lNO2 )= +(-0.800)*rk( 96)    *y(lISOP)
          JAC(lALD2,lO   )= +( 1.000)*rk( 42)    *y(lALD2)
     &                      +(-0.630)*rk( 56)    *y(lOLE)
          JAC(lALD2,lO3  )= +(-0.500)*rk( 58)    *y(lOLE)
     &                      +(-0.030)*rk( 71)    *y(lOPEN)
     &                      +(-0.150)*rk( 77)    *y(lISOP)
     &                      +(-0.020)*rk( 93)    *y(lISPD)
          JAC(lALD2,lNO3 )= +( 1.000)*rk( 44)    *y(lALD2)
     &                      +(-1.000)*rk( 59)    *y(lOLE)
     &                      +(-0.800)*rk( 78)    *y(lISOP)
     &                      +(-0.357)*rk( 94)    *y(lISPD)
          JAC(lALD2,lOH  )= +( 1.000)*rk( 43)    *y(lALD2)
     &                      +(-0.110)*rk( 52)    *y(lPAR)
     &                      +(-1.000)*rk( 57)    *y(lOLE)
     &                      +(-0.220)*rk( 61)    *y(lETH)
     &                      +(-1.000)*rk( 85)    *y(lETOH)
     &                      +(-0.273)*rk( 92)    *y(lISPD)
          JAC(lALD2,lALD2)= +( 1.000)*rk( 42)    *y(lO)
     &                      +( 1.000)*rk( 43)    *y(lOH)
     &                      +( 1.000)*rk( 44)    *y(lNO3)
     &                      +( 1.000)*rk( 45)*flg
          JAC(lALD2,lPAR )= +(-0.110)*rk( 52)    *y(lOH)
          JAC(lALD2,lROR )= +(-1.100)*rk( 53)*flg
          JAC(lALD2,lOLE )= +(-0.630)*rk( 56)    *y(lO)
     &                      +(-1.000)*rk( 57)    *y(lOH)
     &                      +(-0.500)*rk( 58)    *y(lO3)
     &                      +(-1.000)*rk( 59)    *y(lNO3)
          JAC(lALD2,lETH )= +(-0.220)*rk( 61)    *y(lOH)
          JAC(lALD2,lOPEN)= +(-0.030)*rk( 71)    *y(lO3)
          JAC(lALD2,lISOP)= +(-0.150)*rk( 77)    *y(lO3)
     &                      +(-0.800)*rk( 78)    *y(lNO3)
     &                      +(-0.800)*rk( 96)    *y(lNO2)
          JAC(lALD2,lISPD)= +(-0.273)*rk( 92)    *y(lOH)
     &                      +(-0.020)*rk( 93)    *y(lO3)
     &                      +(-0.357)*rk( 94)    *y(lNO3)
     &                      +(-0.067)*rk( 95)*flg
          JAC(lALD2,lETOH)= +(-1.000)*rk( 85)    *y(lOH)
          JAC(lC2O3,lNO2 )= +( 1.000)*rk( 47)    *y(lC2O3)
          JAC(lC2O3,lNO  )= +( 1.000)*rk( 46)    *y(lC2O3)
          JAC(lC2O3,lO   )= +(-1.000)*rk( 42)    *y(lALD2)
     &                      +(-0.250)*rk( 75)    *y(lISOP)
          JAC(lC2O3,lO3  )= +(-0.620)*rk( 71)    *y(lOPEN)
     &                      +(-0.200)*rk( 77)    *y(lISOP)
     &                      +(-0.114)*rk( 93)    *y(lISPD)
          JAC(lC2O3,lNO3 )= +(-1.000)*rk( 44)    *y(lALD2)
     &                      +(-0.075)*rk( 94)    *y(lISPD)
          JAC(lC2O3,lOH  )= +(-1.000)*rk( 43)    *y(lALD2)
     &                      +(-1.000)*rk( 70)    *y(lOPEN)
     &                      +(-1.000)*rk( 73)    *y(lMGLY)
     &                      +(-0.498)*rk( 92)    *y(lISPD)
          JAC(lC2O3,lHO2 )= +( 1.000)*rk( 50)    *y(lC2O3)
          JAC(lC2O3,lALD2)= +(-1.000)*rk( 42)    *y(lO)
     &                      +(-1.000)*rk( 43)    *y(lOH)
     &                      +(-1.000)*rk( 44)    *y(lNO3)
          JAC(lC2O3,lC2O3)= +( 1.000)*rk( 46)    *y(lNO)
     &                      +( 1.000)*rk( 47)    *y(lNO2)
     &                      +( 4.000)*rk( 49)    *y(lC2O3)
     &                      +( 1.000)*rk( 50)    *y(lHO2)
          JAC(lC2O3,lPAN )= +(-1.000)*rk( 48)*flg
          JAC(lC2O3,lOPEN)= +(-1.000)*rk( 69)*flg
     &                      +(-1.000)*rk( 70)    *y(lOH)
     &                      +(-0.620)*rk( 71)    *y(lO3)
          JAC(lC2O3,lMGLY)= +(-1.000)*rk( 73)    *y(lOH)
     &                      +(-1.000)*rk( 74)*flg
          JAC(lC2O3,lISOP)= +(-0.250)*rk( 75)    *y(lO)
     &                      +(-0.200)*rk( 77)    *y(lO3)
          JAC(lC2O3,lISPD)= +(-0.498)*rk( 92)    *y(lOH)
     &                      +(-0.114)*rk( 93)    *y(lO3)
     &                      +(-0.075)*rk( 94)    *y(lNO3)
     &                      +(-0.967)*rk( 95)*flg
          JAC(lXO2 ,lNO2 )= +(-1.000)*rk( 96)    *y(lISOP)
          JAC(lXO2 ,lNO  )= +(-1.000)*rk( 46)    *y(lC2O3)
     &                      +( 1.000)*rk( 79)    *y(lXO2)
          JAC(lXO2 ,lO   )= +(-0.280)*rk( 56)    *y(lOLE)
     &                      +(-0.700)*rk( 60)    *y(lETH)
     &                      +(-0.250)*rk( 75)    *y(lISOP)
          JAC(lXO2 ,lO3  )= +(-0.220)*rk( 58)    *y(lOLE)
     &                      +(-0.030)*rk( 71)    *y(lOPEN)
     &                      +(-0.200)*rk( 77)    *y(lISOP)
     &                      +(-0.064)*rk( 93)    *y(lISPD)
          JAC(lXO2 ,lNO3 )= +(-0.910)*rk( 59)    *y(lOLE)
     &                      +(-1.000)*rk( 78)    *y(lISOP)
     &                      +(-0.075)*rk( 94)    *y(lISPD)
          JAC(lXO2 ,lOH  )= +(-1.000)*rk( 51)*flg
     &                      +(-0.870)*rk( 52)    *y(lPAR)
     &                      +(-1.000)*rk( 57)    *y(lOLE)
     &                      +(-1.000)*rk( 61)    *y(lETH)
     &                      +(-0.080)*rk( 63)    *y(lTOL)
     &                      +(-0.600)*rk( 66)    *y(lCRES)
     &                      +(-1.000)*rk( 70)    *y(lOPEN)
     &                      +(-0.500)*rk( 72)    *y(lXYL)
     &                      +(-1.000)*rk( 73)    *y(lMGLY)
          JAC(lXO2 ,lOH  )=JAC(lXO2 ,lOH  )
     &                      +(-0.991)*rk( 76)    *y(lISOP)
     &                      +(-0.713)*rk( 92)    *y(lISPD)
          JAC(lXO2 ,lHO2 )= +(-0.790)*rk( 50)    *y(lC2O3)
     &                      +( 1.000)*rk( 86)    *y(lXO2)
          JAC(lXO2 ,lALD2)= +(-1.000)*rk( 45)*flg
          JAC(lXO2 ,lC2O3)= +(-1.000)*rk( 46)    *y(lNO)
     &                      +(-4.000)*rk( 49)    *y(lC2O3)
     &                      +(-0.790)*rk( 50)    *y(lHO2)
          JAC(lXO2 ,lXO2 )= +( 1.000)*rk( 79)    *y(lNO)
     &                      +( 4.000)*rk( 80)    *y(lXO2)
     &                      +( 1.000)*rk( 86)    *y(lHO2)
     &                      +( 1.000)*rk( 89)    *y(lXO2N)
          JAC(lXO2 ,lPAR )= +(-0.870)*rk( 52)    *y(lOH)
          JAC(lXO2 ,lXO2N)= +( 1.000)*rk( 89)    *y(lXO2)
          JAC(lXO2 ,lROR )= +(-0.960)*rk( 53)*flg
          JAC(lXO2 ,lOLE )= +(-0.280)*rk( 56)    *y(lO)
     &                      +(-1.000)*rk( 57)    *y(lOH)
     &                      +(-0.220)*rk( 58)    *y(lO3)
     &                      +(-0.910)*rk( 59)    *y(lNO3)
          JAC(lXO2 ,lETH )= +(-0.700)*rk( 60)    *y(lO)
     &                      +(-1.000)*rk( 61)    *y(lOH)
          JAC(lXO2 ,lTOL )= +(-0.080)*rk( 63)    *y(lOH)
          JAC(lXO2 ,lCRES)= +(-0.600)*rk( 66)    *y(lOH)
          JAC(lXO2 ,lOPEN)= +(-1.000)*rk( 70)    *y(lOH)
     &                      +(-0.030)*rk( 71)    *y(lO3)
          JAC(lXO2 ,lMGLY)= +(-1.000)*rk( 73)    *y(lOH)
          JAC(lXO2 ,lXYL )= +(-0.500)*rk( 72)    *y(lOH)
          JAC(lXO2 ,lISOP)= +(-0.250)*rk( 75)    *y(lO)
     &                      +(-0.991)*rk( 76)    *y(lOH)
     &                      +(-0.200)*rk( 77)    *y(lO3)
     &                      +(-1.000)*rk( 78)    *y(lNO3)
     &                      +(-1.000)*rk( 96)    *y(lNO2)
          JAC(lXO2 ,lISPD)= +(-0.713)*rk( 92)    *y(lOH)
     &                      +(-0.064)*rk( 93)    *y(lO3)
     &                      +(-0.075)*rk( 94)    *y(lNO3)
     &                      +(-0.700)*rk( 95)*flg
          JAC(lPAN ,lNO2 )= +(-1.000)*rk( 47)    *y(lC2O3)
          JAC(lPAN ,lC2O3)= +(-1.000)*rk( 47)    *y(lNO2)
          JAC(lPAN ,lPAN )= +( 1.000)*rk( 48)*flg
          JAC(lPAR ,lNO2 )= +(-2.400)*rk( 96)    *y(lISOP)
          JAC(lPAR ,lO   )= +(-0.220)*rk( 56)    *y(lOLE)
     &                      +(-0.250)*rk( 75)    *y(lISOP)
          JAC(lPAR ,lO3  )= +( 1.000)*rk( 58)    *y(lOLE)
     &                      +(-0.350)*rk( 77)    *y(lISOP)
     &                      +(-0.360)*rk( 93)    *y(lISPD)
          JAC(lPAR ,lNO3 )= +( 1.000)*rk( 59)    *y(lOLE)
     &                      +(-2.400)*rk( 78)    *y(lISOP)
     &                      +(-1.282)*rk( 94)    *y(lISPD)
          JAC(lPAR ,lOH  )= +( 1.000)*rk( 52)    *y(lPAR)
     &                      +( 0.110)*rk( 52)    *y(lPAR)
     &                      +( 1.000)*rk( 57)    *y(lOLE)
     &                      +(-1.100)*rk( 72)    *y(lXYL)
     &                      +(-1.565)*rk( 92)    *y(lISPD)
          JAC(lPAR ,lPAR )= +( 1.000)*rk( 52)    *y(lOH)
     &                      +( 0.110)*rk( 52)    *y(lOH)
          JAC(lPAR ,lROR )= +( 2.100)*rk( 53)*flg
          JAC(lPAR ,lOLE )= +(-0.220)*rk( 56)    *y(lO)
     &                      +( 1.000)*rk( 57)    *y(lOH)
     &                      +( 1.000)*rk( 58)    *y(lO3)
     &                      +( 1.000)*rk( 59)    *y(lNO3)
          JAC(lPAR ,lXYL )= +(-1.100)*rk( 72)    *y(lOH)
          JAC(lPAR ,lISOP)= +(-0.250)*rk( 75)    *y(lO)
     &                      +(-0.350)*rk( 77)    *y(lO3)
     &                      +(-2.400)*rk( 78)    *y(lNO3)
     &                      +(-2.400)*rk( 96)    *y(lNO2)
          JAC(lPAR ,lISPD)= +(-1.565)*rk( 92)    *y(lOH)
     &                      +(-0.360)*rk( 93)    *y(lO3)
     &                      +(-1.282)*rk( 94)    *y(lNO3)
     &                      +(-0.832)*rk( 95)*flg
          JAC(lXO2N,lNO  )= +( 1.000)*rk( 81)    *y(lXO2N)
          JAC(lXO2N,lO   )= +(-0.020)*rk( 56)    *y(lOLE)
          JAC(lXO2N,lNO3 )= +(-0.090)*rk( 59)    *y(lOLE)
          JAC(lXO2N,lOH  )= +(-0.130)*rk( 52)    *y(lPAR)
     &                      +(-0.088)*rk( 76)    *y(lISOP)
          JAC(lXO2N,lHO2 )= +( 1.000)*rk( 87)    *y(lXO2N)
          JAC(lXO2N,lXO2 )= +( 1.000)*rk( 89)    *y(lXO2N)
          JAC(lXO2N,lPAR )= +(-0.130)*rk( 52)    *y(lOH)
          JAC(lXO2N,lXO2N)= +( 1.000)*rk( 81)    *y(lNO)
     &                      +( 1.000)*rk( 87)    *y(lHO2)
     &                      +( 4.000)*rk( 88)    *y(lXO2N)
     &                      +( 1.000)*rk( 89)    *y(lXO2)
          JAC(lXO2N,lROR )= +(-0.040)*rk( 53)*flg
          JAC(lXO2N,lOLE )= +(-0.020)*rk( 56)    *y(lO)
     &                      +(-0.090)*rk( 59)    *y(lNO3)
          JAC(lXO2N,lISOP)= +(-0.088)*rk( 76)    *y(lOH)
          JAC(lROR ,lNO2 )= +( 1.000)*rk( 55)    *y(lROR)
          JAC(lROR ,lOH  )= +(-0.760)*rk( 52)    *y(lPAR)
          JAC(lROR ,lPAR )= +(-0.760)*rk( 52)    *y(lOH)
          JAC(lROR ,lROR )= +( 1.000)*rk( 53)*flg
     &                      +( 1.000)*rk( 54)*flg
     &                      +( 1.000)*rk( 55)    *y(lNO2)
          JAC(lNTR ,lNO2 )= +(-1.000)*rk( 55)    *y(lROR)
     &                      +(-1.000)*rk( 68)    *y(lCRO)
     &                      +(-0.800)*rk( 96)    *y(lISOP)
          JAC(lNTR ,lNO  )= +(-0.100)*rk( 64)    *y(lTO2)
     &                      +(-1.000)*rk( 81)    *y(lXO2N)
          JAC(lNTR ,lNO3 )= +(-0.800)*rk( 78)    *y(lISOP)
     &                      +(-0.850)*rk( 94)    *y(lISPD)
          JAC(lNTR ,lXO2N)= +(-1.000)*rk( 81)    *y(lNO)
          JAC(lNTR ,lROR )= +(-1.000)*rk( 55)    *y(lNO2)
          JAC(lNTR ,lTO2 )= +(-0.100)*rk( 64)    *y(lNO)
          JAC(lNTR ,lCRO )= +(-1.000)*rk( 68)    *y(lNO2)
          JAC(lNTR ,lISOP)= +(-0.800)*rk( 78)    *y(lNO3)
     &                      +(-0.800)*rk( 96)    *y(lNO2)
          JAC(lNTR ,lISPD)= +(-0.850)*rk( 94)    *y(lNO3)
          JAC(lOLE ,lO   )= +( 1.000)*rk( 56)    *y(lOLE)
          JAC(lOLE ,lO3  )= +( 1.000)*rk( 58)    *y(lOLE)
          JAC(lOLE ,lNO3 )= +( 1.000)*rk( 59)    *y(lOLE)
          JAC(lOLE ,lOH  )= +( 1.000)*rk( 57)    *y(lOLE)
          JAC(lOLE ,lOLE )= +( 1.000)*rk( 56)    *y(lO)
     &                      +( 1.000)*rk( 57)    *y(lOH)
     &                      +( 1.000)*rk( 58)    *y(lO3)
     &                      +( 1.000)*rk( 59)    *y(lNO3)
          JAC(lETH ,lO   )= +( 1.000)*rk( 60)    *y(lETH)
          JAC(lETH ,lO3  )= +( 1.000)*rk( 62)    *y(lETH)
          JAC(lETH ,lOH  )= +( 1.000)*rk( 61)    *y(lETH)
          JAC(lETH ,lETH )= +( 1.000)*rk( 60)    *y(lO)
     &                      +( 1.000)*rk( 61)    *y(lOH)
     &                      +( 1.000)*rk( 62)    *y(lO3)
          JAC(lTOL ,lOH  )= +( 1.000)*rk( 63)    *y(lTOL)
          JAC(lTOL ,lTOL )= +( 1.000)*rk( 63)    *y(lOH)
          JAC(lCRES,lNO3 )= +( 1.000)*rk( 67)    *y(lCRES)
          JAC(lCRES,lOH  )= +(-0.360)*rk( 63)    *y(lTOL)
     &                      +( 1.000)*rk( 66)    *y(lCRES)
     &                      +(-0.200)*rk( 72)    *y(lXYL)
          JAC(lCRES,lTOL )= +(-0.360)*rk( 63)    *y(lOH)
          JAC(lCRES,lCRES)= +( 1.000)*rk( 66)    *y(lOH)
     &                      +( 1.000)*rk( 67)    *y(lNO3)
          JAC(lCRES,lTO2 )= +(-1.000)*rk( 65)*flg
          JAC(lCRES,lXYL )= +(-0.200)*rk( 72)    *y(lOH)
          JAC(lTO2 ,lNO  )= +( 1.000)*rk( 64)    *y(lTO2)
          JAC(lTO2 ,lOH  )= +(-0.560)*rk( 63)    *y(lTOL)
     &                      +(-0.300)*rk( 72)    *y(lXYL)
          JAC(lTO2 ,lTOL )= +(-0.560)*rk( 63)    *y(lOH)
          JAC(lTO2 ,lTO2 )= +( 1.000)*rk( 64)    *y(lNO)
     &                      +( 1.000)*rk( 65)*flg
          JAC(lTO2 ,lXYL )= +(-0.300)*rk( 72)    *y(lOH)
          JAC(lOPEN,lNO  )= +(-0.900)*rk( 64)    *y(lTO2)
          JAC(lOPEN,lO3  )= +( 1.000)*rk( 71)    *y(lOPEN)
          JAC(lOPEN,lOH  )= +(-0.300)*rk( 66)    *y(lCRES)
     &                      +( 1.000)*rk( 70)    *y(lOPEN)
          JAC(lOPEN,lCRES)= +(-0.300)*rk( 66)    *y(lOH)
          JAC(lOPEN,lTO2 )= +(-0.900)*rk( 64)    *y(lNO)
          JAC(lOPEN,lOPEN)= +( 1.000)*rk( 69)*flg
     &                      +( 1.000)*rk( 70)    *y(lOH)
     &                      +( 1.000)*rk( 71)    *y(lO3)
          JAC(lCRO ,lNO2 )= +( 1.000)*rk( 68)    *y(lCRO)
          JAC(lCRO ,lNO3 )= +(-1.000)*rk( 67)    *y(lCRES)
          JAC(lCRO ,lOH  )= +(-0.400)*rk( 66)    *y(lCRES)
          JAC(lCRO ,lCRES)= +(-0.400)*rk( 66)    *y(lOH)
     &                      +(-1.000)*rk( 67)    *y(lNO3)
          JAC(lCRO ,lCRO )= +( 1.000)*rk( 68)    *y(lNO2)
     &                      +( 1.000)*rk( 91)*flg
          JAC(lMGLY,lO3  )= +(-0.200)*rk( 71)    *y(lOPEN)
     &                      +(-0.850)*rk( 93)    *y(lISPD)
          JAC(lMGLY,lOH  )= +(-0.800)*rk( 72)    *y(lXYL)
     &                      +( 1.000)*rk( 73)    *y(lMGLY)
     &                      +(-0.168)*rk( 92)    *y(lISPD)
          JAC(lMGLY,lOPEN)= +(-0.200)*rk( 71)    *y(lO3)
          JAC(lMGLY,lMGLY)= +( 1.000)*rk( 73)    *y(lOH)
     &                      +( 1.000)*rk( 74)*flg
          JAC(lMGLY,lXYL )= +(-0.800)*rk( 72)    *y(lOH)
          JAC(lMGLY,lISPD)= +(-0.168)*rk( 92)    *y(lOH)
     &                      +(-0.850)*rk( 93)    *y(lO3)
          JAC(lXYL ,lOH  )= +( 1.000)*rk( 72)    *y(lXYL)
          JAC(lXYL ,lXYL )= +( 1.000)*rk( 72)    *y(lOH)
          JAC(lISOP,lNO2 )= +( 1.000)*rk( 96)    *y(lISOP)
          JAC(lISOP,lO   )= +( 1.000)*rk( 75)    *y(lISOP)
          JAC(lISOP,lO3  )= +( 1.000)*rk( 77)    *y(lISOP)
          JAC(lISOP,lNO3 )= +( 1.000)*rk( 78)    *y(lISOP)
          JAC(lISOP,lOH  )= +( 1.000)*rk( 76)    *y(lISOP)
          JAC(lISOP,lISOP)= +( 1.000)*rk( 75)    *y(lO)
     &                      +( 1.000)*rk( 76)    *y(lOH)
     &                      +( 1.000)*rk( 77)    *y(lO3)
     &                      +( 1.000)*rk( 78)    *y(lNO3)
     &                      +( 1.000)*rk( 96)    *y(lNO2)
          JAC(lISPD,lNO2 )= +(-0.200)*rk( 96)    *y(lISOP)
          JAC(lISPD,lO   )= +(-0.750)*rk( 75)    *y(lISOP)
          JAC(lISPD,lO3  )= +(-0.650)*rk( 77)    *y(lISOP)
     &                      +( 1.000)*rk( 93)    *y(lISPD)
          JAC(lISPD,lNO3 )= +(-0.200)*rk( 78)    *y(lISOP)
     &                      +( 1.000)*rk( 94)    *y(lISPD)
          JAC(lISPD,lOH  )= +(-0.912)*rk( 76)    *y(lISOP)
     &                      +( 1.000)*rk( 92)    *y(lISPD)
          JAC(lISPD,lISOP)= +(-0.750)*rk( 75)    *y(lO)
     &                      +(-0.912)*rk( 76)    *y(lOH)
     &                      +(-0.650)*rk( 77)    *y(lO3)
     &                      +(-0.200)*rk( 78)    *y(lNO3)
     &                      +(-0.200)*rk( 96)    *y(lNO2)
          JAC(lISPD,lISPD)= +( 1.000)*rk( 92)    *y(lOH)
     &                      +( 1.000)*rk( 93)    *y(lO3)
     &                      +( 1.000)*rk( 94)    *y(lNO3)
     &                      +( 1.000)*rk( 95)*flg
          JAC(lSO2 ,lOH  )= +( 1.000)*rk( 82)    *y(lSO2)
          JAC(lSO2 ,lSO2 )= +( 1.000)*rk( 82)    *y(lOH)
     &                      +( 1.000)*rk( 83)*flg
          JAC(lSULF,lOH  )= +(-1.000)*rk( 82)    *y(lSO2)
          JAC(lSULF,lSO2 )= +(-1.000)*rk( 82)    *y(lOH)
     &                      +(-1.000)*rk( 83)*flg
          JAC(lMEOH,lOH  )= +( 1.000)*rk( 84)    *y(lMEOH)
          JAC(lMEOH,lMEOH)= +( 1.000)*rk( 84)    *y(lOH)
          JAC(lETOH,lOH  )= +( 1.000)*rk( 85)    *y(lETOH)
          JAC(lETOH,lETOH)= +( 1.000)*rk( 85)    *y(lOH)
c
      do j=1,njac
        do i=1,njac
          jac(i,j) = -jac(i,j)
        enddo
      enddo
c
      return
c
      end
